Package org.mariadb.jdbc.client.socket

## Interface SocketHandlerFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface SocketHandlerFunction

### Method Summary

All Methods Instance Methods Abstract Methods
`Socket` `apply​(Configuration conf, HostAddress hostAddress)`

### Method Detail

#### apply

    Socket apply​(Configuration conf,
                 HostAddress hostAddress)
          throws IOException,
                 SQLException

Throws:
  `IOException`
  `SQLException`